Package org.kapott.hbci.GV_Result

## Class GVRDauerList.Dauer

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRDauerList.Dauer

Enclosing class:
  GVRDauerList

    public static final class GVRDauerList.Dauer
    extends java.lang.Object

Informationen zu einem einzelnen Dauerauftrag.

### Field Summary

Fields
`java.lang.String` `addkey` Zusätzlicher Transaktionsschlüssel (bankintern, optional)
`boolean` `aus_annual` Aussetzung jährlich wiederholen? (Nur gültig, wenn `aus_available` `true` ist)
`boolean` `aus_available` Sind Daten zu einer geplanten Aussetzung vorhanden?
`java.lang.String` `aus_breakcount` Anzahl der Aussetzungen (Nur gültig, wenn `aus_available` `true` ist) (optional)
`java.util.Date` `aus_end` Tag der letzten Aussetzung (Nur gültig, wenn `aus_available` `true` ist) (optional)
`Value` `aus_newvalue` Geänderter Betrag während Aussetzung (Nur gültig, wenn `aus_available` `true` ist) (optional)
`java.util.Date` `aus_start` Tag der ersten Aussetzung (Nur gültig, wenn `aus_available` `true` ist) (optional)
`boolean` `can_change` Auftrag kann geändert werden (optional)
`boolean` `can_delete` Auftrag kann gelöscht werden (optional)
`boolean` `can_skip` Auftrag kann ausgesetzt werden (optional)
`int` `execday` Tag der Ausführun innerhalb der Zeineinheit bei Zeiteinheit=W: 1-7 für Wochentag bei Zeiteinheit=M: 1-31 für Tag des Monats
`java.util.Date` `firstdate` Datum der ersten Ausführung
`java.lang.String` `key` Transaktionsschlüssel (bankintern)
`java.util.Date` `lastdate` Datum, wann der Dauerauftrag zum letzten Mal ausgeführt werden soll (optional)
`Konto` `my` Belastungskonto (Kundenkonto)
`java.util.Date` `nextdate` Datum der nächsten Ausführung (optional)
`java.lang.String` `orderid` Eindeutige Auftragsnummer, um diesen Dauerauftrag zu identifizieren (optional)
`Konto` `other` Empfängerkonto
`java.lang.String` `pmtinfid` SEPA Payment-Information-ID.
`java.lang.String` `purposecode` SEPA Purpose-Code.
`java.lang.String` `timeunit` Zeiteinheit der Wiederholung.
`int` `turnus` Wiederholen aller wieviel Zeiteinheiten
`java.lang.String[]` `usage` Verwendungszweckzeilen.
`Value` `value` Zu überweisender Betrag

### Constructor Summary

Constructors
`Dauer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addUsage​(java.lang.String line)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### my

    public Konto my

Belastungskonto (Kundenkonto)

#### other

    public Konto other

Empfängerkonto

#### value

    public Value value

Zu überweisender Betrag

#### key

    public java.lang.String key

Transaktionsschlüssel (bankintern)

#### addkey

    public java.lang.String addkey

Zusätzlicher Transaktionsschlüssel (bankintern, optional)

#### usage

    public java.lang.String[] usage

Verwendungszweckzeilen. Dieses Array ist niemals `null`, kann aber die Länge `0` haben.

#### nextdate

    public java.util.Date nextdate

Datum der nächsten Ausführung (optional)

#### orderid

    public java.lang.String orderid

Eindeutige Auftragsnummer, um diesen Dauerauftrag zu identifizieren (optional)

#### firstdate

    public java.util.Date firstdate

Datum der ersten Ausführung

#### timeunit

    public java.lang.String timeunit

Zeiteinheit der Wiederholung.

- M - monatlich
- W - wöchentlich

#### turnus

    public int turnus

Wiederholen aller wieviel Zeiteinheiten

#### execday

    public int execday

Tag der Ausführun innerhalb der Zeineinheit

- bei Zeiteinheit=W: 1-7 für Wochentag
- bei Zeiteinheit=M: 1-31 für Tag des Monats

#### lastdate

    public java.util.Date lastdate

Datum, wann der Dauerauftrag zum letzten Mal ausgeführt werden soll (optional)

#### aus_available

    public boolean aus_available

Sind Daten zu einer geplanten Aussetzung vorhanden?

#### aus_annual

    public boolean aus_annual

Aussetzung jährlich wiederholen? (Nur gültig, wenn `aus_available` `true` ist)

#### aus_start

    public java.util.Date aus_start

Tag der ersten Aussetzung (Nur gültig, wenn `aus_available` `true` ist) (optional)

#### aus_end

    public java.util.Date aus_end

Tag der letzten Aussetzung (Nur gültig, wenn `aus_available` `true` ist) (optional)

#### aus_breakcount

    public java.lang.String aus_breakcount

Anzahl der Aussetzungen (Nur gültig, wenn `aus_available` `true` ist) (optional)

#### aus_newvalue

    public Value aus_newvalue

Geänderter Betrag während Aussetzung (Nur gültig, wenn `aus_available` `true` ist) (optional)

#### can_change

    public boolean can_change

Auftrag kann geändert werden (optional)

#### can_skip

    public boolean can_skip

Auftrag kann ausgesetzt werden (optional)

#### can_delete

    public boolean can_delete

Auftrag kann gelöscht werden (optional)

#### pmtinfid

    public java.lang.String pmtinfid

SEPA Payment-Information-ID.

#### purposecode

    public java.lang.String purposecode

SEPA Purpose-Code.

### Constructor Detail

#### Dauer

    public Dauer()

### Method Detail

#### addUsage

    public void addUsage​(java.lang.String line)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`